CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Features
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

The Social Timeline module lets you retrieve status/posts/videos/images
from different social networks in a timeline format from the newest to
the oldest.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/social_timeline

 * To submit bug reports and feature suggestions, or to track changes:
   https://www.drupal.org/project/issues/social_timeline


FEATURES
--------

 * Get status/posts/videos/ images from differents accounts in the same
   social network
 * Twitter, Facebook Page, Youtube, Delicious, Flickr, Dribbble, Digg,
   Pinterest, Tumblr, Instagram, Google+, Lastfm
 * Retrieve Youtube videos using search keywords.
 * Retrieve tweets using a hashtag.
 * Different display styles.
 * Limit the number of Feeds to retrieve.
 * Add multiple custom feeds
 * Show/Hide Social Icons.
 * Social Filter Support.
 * Cross Browser Support.
 * Simple to Customize.
 * Full Documentation.
 * Demo examples included.


REQUIREMENTS
------------

This module requires following modules outside of Drupal core:

 * Libraries API - https://www.drupal.org/project/libraries


INSTALLATION
------------

 * Install the Social Timeline module as you would normally install a
   contributed Drupal module. Visit https://www.drupal.org/node/1897420 for
   further information.
 * You need to purchase the jQuery Social Timeline plugin ($6, I did not create
   or sell it):
   http://codecanyon.net/item/jquery-social-timeline/2390758?sso?WT.ac=cate...
 * Unpack it to the social timeline module folder
   "e.g., modules/contrib/social_timeline/library.


CONFIGURATION
-------------

    1. Navigate to Administration > Extend and enable the module.
    2. Navigate to Administration > Structure > Block layout.
    3. Under Content Place Block there will be a new Social Timeline block.
    4. Make sure to fill out the credentials below if using said services.

Set Twitter Credentials:

    1. Add a new Twitter application.
    2. Fill in Name, Description, Website, and Callback URL (don't leave any
       blank) with anything you want.
    3. Agree to rules, fill out captcha, and submit your application.
    4. Click the button "Create my access token" and then go to the OAuth tab.
    5. Copy the Consumer key, Consumer secret, Access token and Access token
       secret into the files in the libraries folder:
       twitter_oauth/user_timeline.php and twitter_oauth/search.php

Set Facebook Credentials:

    1. Add a new facebook application
    2. Create a new App and fill the form
    3. Copy the App ID and App Secret into the files in the libraries folder:
       facebook_auth/facebook_page.php

Set Instagram Credentials:

    1. Add a new Instagram application
    2. You will find the client ID in
       http://instagram.com/developer/clients/manage/
    3. Copy the Client ID into the files in the libraries folder:
       instagram_auth/instagram.php and instagram_auth/instagram_hash.php

Set YouTube Credentials:

    1. Create/Select a project in the Google Console
    2. In the API & Auth link on the sidebar make sure YouTube Data API is on.
    3. In the Credentials link on the sidebar create a new key and select
       Browser key type.
    4. Copy the API key into the files in the libraries folder:
       youtube_auth/youtube.php


MAINTAINERS
-----------

 * Paul McKibben - https://www.drupal.org/u/paulmckibben
 * Rob Lee - http://drupal.org/user/893454
